/**
 * This Service Class retrieves a list of templates from a remoting service
 */
package com.test.templatemaker.service
{
	import com.test.templatemaker.controller.events.TemplateResultEvent;
	import mx.collections.ArrayCollection;
	import org.robotlegs.mvcs.Actor;

	public class GetTemplatesService extends Actor
	{
		public function load():void
		{
			//eventually this should contact some external service

			//stub for now
			onResult([{name: "template_a", id: 1, brand_id: 10}, {name: "template_b", id: 2, brand_id: 20}]);
		}

		private function onResult(results:Array):void
		{
			trace("Service result");
			var e:TemplateResultEvent = new TemplateResultEvent(TemplateResultEvent.RECEIVED);
			e.results = new ArrayCollection(results);
			dispatch(e);
		}
	}
}
