package com.test.templatemaker.view
{

	import com.test.templatemaker.controller.events.TemplateResultEvent;
	import com.test.templatemaker.model.TemplateModel;
	import com.test.templatemaker.model.events.TemplateModelEvent;
	import mx.collections.ArrayCollection;
	import org.robotlegs.mvcs.Mediator;


	public class SpecsViewMediator extends Mediator
	{

		[Inject]
		public var specsView:SpecsView;

		[Inject]
		public var templateModel:TemplateModel;


		override public function onRegister():void
		{
			eventMap.mapListener(eventDispatcher, TemplateModelEvent.TEMPLATES_UPDATED, updateTemplatesDD, TemplateModelEvent);
		}

		
		public function updateTemplatesDD(event:TemplateResultEvent):void
		{
			specsView.template_brand_dd.dataProvider = event.results;
			trace('updated')
		}


		public function setTemplates(templates:Array):void
		{
			specsView.template_brand_dd.dataProvider = new ArrayCollection(templates);
		}
	}
}
