package com.test.templatemaker.controller.events
{
	import flash.events.Event;
	import mx.collections.ArrayCollection;

	public class TemplateResultEvent extends Event
	{

		public static const RECEIVED:String = "templatesReceived";

		public function TemplateResultEvent(type:String, bubbles:Boolean = false, cancelable:Boolean = false)
		{
			super(type, bubbles, cancelable);
		}

		private var _results:ArrayCollection;

		override public function clone():Event
		{
			return new TemplateResultEvent(type, bubbles, cancelable);
		}

		public function get results():ArrayCollection
		{
			return _results;
		}

		public function set results(value:ArrayCollection):void
		{
			_results = value;
		}
	}
}
