package com.test.templatemaker.model.events
{
	import flash.events.Event;
	import mx.collections.ArrayCollection;

	public class TemplateModelEvent extends Event
	{

		public static const TEMPLATES_UPDATED:String = "templates_updated";

		public function TemplateModelEvent(type:String, bubbles:Boolean = false, cancelable:Boolean = false)
		{
			super(type, bubbles, cancelable);
		}

		protected var _templates:ArrayCollection;

		override public function clone():Event
		{
			return new TemplateModelEvent(type, bubbles, cancelable);
		}


		public function get templates():ArrayCollection
		{
			return _templates;
		}

		public function set templates(value:ArrayCollection):void
		{
			_templates = value;
		}
	}
}
